# $Id: perl-Catalyst-Action-RenderView.spec 6067 2007-12-30 20:50:11Z dag $
# Authority: dag
# Upstream: Marcus Ramberg <marcus@thefeed.no>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Catalyst-Action-RenderView

Summary: Sensible default end action
Name: perl-Catalyst-Action-RenderView
Version: 0.07
Release: 1.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Catalyst-Action-RenderView/

Source: http://www.cpan.org/modules/by-module/Catalyst/Catalyst-Action-RenderView-%{version}.tar.gz
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(Catalyst::Runtime) >= 5.70
BuildRequires: perl(Data::Visitor) >= 0.08
BuildRequires: perl(Test::More)

%description
Sensible default end action.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README
%doc %{_mandir}/man3/Catalyst::Action::RenderView.3pm*
%dir %{perl_vendorlib}/Catalyst/
%dir %{perl_vendorlib}/Catalyst/Action/
#%{perl_vendorlib}/Catalyst/Action/RenderView/
%{perl_vendorlib}/Catalyst/Action/RenderView.pm

%changelog
* Sun Dec 30 2007 Dag Wieers <dag@wieers.com> - 0.07-1 #6067
- Initial package. (using DAR)
